# codec_visualizer

## Usage 

`python ./codec_analyzer.py file file`

## Features
- mutiple resolutions
- all codecs from ffmpeg
- zoomed in subframe 

## Requirements
- ffmpeg

## Demo

![alt text](https://git.mosad.xyz/localhorst/media_management_scripts/src/commit/e67c26a2bcbc6be4674bd0e852254d2afb481ea5/codec_visualizer/demo_output.png "demo output image")


# check_resolution

## Usage 

`python ./check_resolution.py path`

## Features
- find all video files in path
- list following metadata:
- - Name
- - Duration
- - Filesize
- - codec 
- - resolution

## Requirements
- ffmpeg

## Demo

TODO

# convert 

TODO
